/*
	made by I Am LeGenD
	official site: http://greyko.ru/
*/

#include <amxmodx>
#include <fakemeta>
#include <fun>
#include <zombieplague>

#define PLUGIN "System_effect_box"
#define VERSION "1.0"
#define AUTHOR "I Am LeGenD"

#define Sound	"Present_System_Box/get_item.wav" // Звук

/**================================================================================
	Константы (переменные)
=================================================================================*/
new sprite_1, sprite_2, sprite_3

/**================================================================================
	Загружаем плагин
=================================================================================*/
public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR)
}

/**================================================================================
	Регистрируем нативы для синхронизации
=================================================================================*/
public plugin_natives()
{
	register_native("give_effect", "native_give_effect", 1)
}

/**================================================================================
	Водокачка
=================================================================================*/
public plugin_precache()
{   	
	precache_sound(Sound)
	sprite_1 = precache_model("sprites/steam1.spr")
	sprite_3 = precache_model("sprites/Present_System_Box/acid_pou.spr")
	sprite_2 = precache_model("sprites/Present_System_Box/green.spr") 
}

/**================================================================================
	
=================================================================================*/
public native_give_effect(id) 
{
	get_effect(id)
}

/**================================================================================
	Событие эффектов
=================================================================================*/
public get_effect(id) {
	
	message_begin(MSG_BROADCAST, SVC_TEMPENTITY)
	write_byte(TE_BEAMFOLLOW)
	write_short(id)
	write_short(sprite_1)
	write_byte(10)
	write_byte(5)
	write_byte(255)
	write_byte(126)
	write_byte(0)
	write_byte(192)
	message_end()
	
	effect_1(id)
	effect_2(id)
	
	engfunc(EngFunc_EmitSound, id, CHAN_WEAPON, Sound, 1.0, ATTN_NORM, 0, PITCH_NORM)
}

public effect_1(id)
{
	new origin[3]
	
	get_user_origin(id, origin)
	message_begin(MSG_BROADCAST, SVC_TEMPENTITY)
	write_byte(TE_SPRITE)
	write_coord(origin[0])
	write_coord(origin[1])
	write_coord(origin[2])
	write_short(sprite_2)
	write_byte(20)
	write_byte(255)
	message_end()
}

public effect_2(id)
{
	new g_origin[3]
	
	get_user_origin(id,g_origin)
	
	message_begin(MSG_ALL,SVC_TEMPENTITY,{0,0,0},id)
	write_byte(TE_SPRITETRAIL)
	write_coord(g_origin[0])
	write_coord(g_origin[1])
	write_coord(g_origin[2]+20)
	write_coord(g_origin[0])
	write_coord(g_origin[1])
	write_coord(g_origin[2]+80)
	write_short(sprite_3)
	write_byte(20)
	write_byte(20)
	write_byte(4)
	write_byte(20)
	write_byte(10)
	message_end()
}