/*
	made by I Am LeGenD
	official site: http://greyko.ru/
	
	v.1.0 - news release
	v.1.5 - support buymenu, options
*/

#include <amxmodx>
#include <amxmisc>
#include <fakemeta_util>
#include <engine>
#include <zombieplague>

#pragma tabsize 0      // Кривость меня доконает :(

native give_effect(id) // Эффекты. Закоментируйте, если не хотите использовать Эффекты.

#define PLUGIN "Present_System_Box"
#define VERSION "1.5"
#define AUTHOR "I Am LeGenD"

/**================================================================================
	Различные данные и настройки для продвинутых
=================================================================================*/
//#define BUYMENU                // Поддержка системы денег$ (рандомные числа). Закомментируйте, если хотите включить поддержку $денег.
#if defined BUYMENU
#include <zp_buymenu>
#define GET_START 8000        // Начальное число выдачи$
#define SET_FINISH 30000      // Финишное число выдачи$
#define GET_MINUS_MONEY 2000  // Начальное количество $денег, которое у игрока отнимет.
#define SET_MINUS_MONEY 10000 // Финишное количество $денег, которое у игрока отнимет.
#endif

#define ZOMBIE_PLAGUE_AMMO       // Поддержка системы ammo паков (рандомные числа). Закомментируйте, если не хотите использовать ammo паки
#if defined ZOMBIE_PLAGUE_AMMO       
#define GET_AMMO_START  30    // Начальное число выдачи
#define SET_AMMO_FINISH 70    // Финишное число выдачи
#define GET_MINUS_AMMO 10     // Начальное количество ammo, которое у игрока отнимет.
#define SET_MINUS_AMMO 30     // Финишное количество ammo, которое у игрока отнимет.
#endif

//Настройка выдачи брони (рандомные числа)
#define AMMOR_START 60 // Начальное число
#define AMMOR_END 200  // Финишное число

//Настройка выдачи жизней (рандомные числа)
#define LIFE_START 500 // Начальное число
#define LIFE_END 50   // Финишное число
#define LIFE_MINUS_START 200 // Начальное количество жизней, которое у игрока отнимет.
#define LIFE_MINUS_END 25    // Финишное количество жизней, которое у игрока отнимет.


#define OFFSET_FLASH_AMMO 387
#define OFFSET_HE_AMMO 388
#define HE_AMMO 2           // Сколько взрывных гранат выдаст игроку
#define FLASH_AMMO 2        // Сколько слеповых гранат выдаст игроку

//Таксы таймера. Единица измеряется в секундах.
#define TASK 30 // Сколько секунд до отката.

/**================================================================================
	Константы (переменные)
=================================================================================*/

new const class_name[]= "spawn_system"
new model[]={"models/Present_System_Box/present_item.mdl"} // Моделька ящика

new mapfile[64], g_MsgSync2
new set_time[33]
new Float:start_time

/**================================================================================
	Загружаем плагин
=================================================================================*/
public plugin_init() 
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	register_forward(FM_Touch, "fw_Touch")         // Регистрируем события происходящие внутри движка HL
	
	// Админ команды для спауна точек нашего entity. Доступ ADMIN_RCON
	register_clcmd("open_present", "open_present_menu")       // Открываем меню
	register_concmd("add_entity", "add_entity")   // Добавить (скопируйте и вставьте в консоле, после нажмите Enter)
	register_concmd("del_entity", "del_entity")   // Удалить  (скопируйте и вставьте в консоле, после нажмите Enter)
	register_concmd("save_entity", "save_entity") // Сохранить (скопируйте и вставьте в консоле, после нажмите Enter)
	
	g_MsgSync2 = CreateHudSyncObj()  // hud
	
	register_dictionary("present_box.txt") // Мульти
}

/**===========================================================================================
	Загрузка кофинга.
==============================================================================================*/
public plugin_cfg()
{
	new map[32], config[32]
	
	get_mapname(map, 31)
	get_configsdir(config, 31)
	
	format(mapfile, 63, "%s/spawn_system",config)
	if (!dir_exists(mapfile))
		mkdir(mapfile)
	
	format(mapfile, 63, "%s/spawn_system/%s.cfg",config, map)
	
	if (file_exists(mapfile)) 
	{
		new data[124], len
		new line = 0
		new coord[3][8]
		new origin[3]
		
		while((line = read_file(mapfile , line , data , 123 , len))) 
		{
			if (len < 2 || data[0] == ';' || data[0] == '/') 
				continue
			
			parse(data, coord[0], 7, coord[1], 7, coord[2], 7)
			origin[0] = str_to_num(coord[0])
			origin[1] = str_to_num(coord[1])
			origin[2] = str_to_num(coord[2])
			addItem(origin)
		}
	}
}

/**===========================================================================================
	Закачка
==============================================================================================*/
public plugin_precache(){
	precache_model(model)
}

/**===========================================================================================
	Отлов события
==============================================================================================*/
public fw_Touch(entity, id)
{
	if(!pev_valid(entity) || !is_user_alive(id)) // Проверка на валидность и живого игрока
		return
	
	new classname[32]
	pev(entity, pev_classname, classname, 31)
	if (!equal(classname, class_name))
		return
	static Float:time; time = get_gametime()
	
	if(start_time <= time)
	{
		if(set_time[id] > 0)
			return 

		give_item(id)
		Screen_Fade(id)
		give_effect(id)      // Закоментируйте, если не хотите использовать Эффекты.
		set_time[id]++
		set_task(TASK, "fasle", id)    
		start_time = time + TASK
	}
	else
	{
	set_hudmessage(255, 255, 255, -1.0, 0.59, 0, 6.0, 1.0)
	ShowSyncHudMsg(id, g_MsgSync2, "%L", "LANG_PLAYER", "ITEM_TIMER", time - start_time)
	}

}

/**===========================================================================================
	Событие выдачи итемов (рандомные кейсы)
==============================================================================================*/
public give_item(id)
{
	new zombie 
	zombie = zp_get_user_zombie(id)
	
	new i = random_num(0, (zombie ? 0 : 5))
	switch(i)
	{
		case 0:
		{
			fm_set_user_health(id, get_user_health(id) + (zombie ? LIFE_START : LIFE_END)) 
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "ITEM_HEALTH")
		}
		case 1:
		{
			fm_set_user_health(id, get_user_health(id) - (zombie ? LIFE_MINUS_START : LIFE_MINUS_END))
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "ITEM_HEALTH_1")
		}
		case 2:
		{
		    #if defined BUYMENU
		    zp_cs_set_user_money(id, zp_cs_get_user_money(id) + random_num(GET_START, SET_FINISH))
			#endif
            
			#if defined ZOMBIE_PLAGUE_AMMO
			zp_set_user_ammo_packs(id, zp_get_user_ammo_packs(id) + random_num(GET_AMMO_START, SET_AMMO_FINISH))
            #endif			
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "ITEM_AMMO")
		}
		case 3:
		{
		    #if defined BUYMENU
		    zp_cs_set_user_money(id, zp_cs_get_user_money(id) - random_num(GET_MINUS_MONEY, SET_MINUS_MONEY))
			#endif
			
			#if defined ZOMBIE_PLAGUE_AMMO
			zp_set_user_ammo_packs(id, zp_get_user_ammo_packs(id) - random_num(GET_MINUS_AMMO, SET_MINUS_AMMO)) 
			#endif
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "ITEM_AMMO_1")
		}
		case 4:
		{
		    fm_set_user_armor(id, get_user_armor(id) + random_num(AMMOR_START, AMMOR_END)) 
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "ITEM_ARMOR")
		}
		case 5:
		{
			fm_give_item(id, "weapon_flashbang")
			fm_give_item(id, "weapon_hegrenade")
			
			set_pdata_int(id, OFFSET_FLASH_AMMO, HE_AMMO) // 2 - это колво выдачи гранат. Если установите 3 - будет 3
			set_pdata_int(id, OFFSET_HE_AMMO, FLASH_AMMO)   // Так же и тут
			
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "ITEM_GRENADE")
		}
	}
}

/**===========================================================================================
	Перезагружаем таймер
==============================================================================================*/
public fasle(id)
{	
	set_time[id] = 0 //выключили
} 

/**===========================================================================================
	Меню точек спауна
==============================================================================================*/
public open_present_menu(id) 
{
    new menu = menu_create("\yМеню точек", "menu_handler")

    menu_additem(menu, "\wУстановить","1")
    menu_additem(menu, "\wУдалить (наведите прицел на объект)","2")
    menu_additem(menu, "\wСохранить", "3")
	
    menu_setprop(menu, MPROP_EXITNAME, "Выход^n^n Made by I Am LeGenD")
    menu_setprop(menu, MPROP_EXIT,MEXIT_ALL)

    menu_display(id, menu, 0)
    return PLUGIN_HANDLED
}

/**===========================================================================================
	Кейсы меню
==============================================================================================*/
public menu_handler(id, menu, item) 
{
	if(item == MENU_EXIT) 
	{
		menu_destroy(menu)
	        return PLUGIN_HANDLED
	}

	new data[6], iName[64], access, callback
	menu_item_getinfo(menu, item, access, data, 5, iName, 63, callback)

	new key = str_to_num(data)

	switch(key) 
	{
	    case 1:
		{
		   if ( !(get_user_flags(id) & ADMIN_RCON) ) return PLUGIN_HANDLED;
           client_cmd(id, "add_entity")
		   ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "GET_ENTITY")
	    }
	    case 2:
		{
		    if ( !(get_user_flags(id) & ADMIN_RCON) ) return PLUGIN_HANDLED;
            client_cmd(id, "del_entity")
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "DELETE_ENTITY")
	    }
	    case 3:
		{
		    if ( !(get_user_flags(id) & ADMIN_RCON) ) return PLUGIN_HANDLED;
            client_cmd(id, "save_entity")
			ChatColor(id, "!g[ZP]!y %L", LANG_PLAYER, "SAVE_ENTITY")
	    }
    }
	return PLUGIN_HANDLED
}

/**===========================================================================================
	Устанавливаем entity register_concmd
==============================================================================================*/
public add_entity(id)
{
	new origin[3]
	get_user_origin(id, origin, 3)
	addItem(origin)
}

/**===========================================================================================
	Удаляем entity через register_concmd
==============================================================================================*/
public del_entity(id)
	deleteItem(id)

/**===========================================================================================
	Сохраняем entity register_concmd
==============================================================================================*/
public save_entity(id)
	saveAll()

/**===========================================================================================
	Событие, спауна, точки, вращения анимаций и т д (высшая математика)
==============================================================================================*/
public addItem(origin[3]){
	new ent = fm_create_entity("func_button")
	set_pev(ent, pev_classname, class_name)
	
	engfunc(EngFunc_SetModel,ent, model)
	
	set_pev(ent,pev_mins,Float:{-10.0,-10.0,0.0})
	set_pev(ent,pev_maxs,Float:{10.0,10.0,50.0})
	set_pev(ent,pev_size,Float:{-1.0,-3.0,0.0,1.0,1.0,10.0})
	engfunc(EngFunc_SetSize,ent,Float:{-1.0,-3.0,0.0},Float:{1.0,1.0,10.0})
	
	entity_set_int(ent,EV_INT_solid,SOLID_BBOX)
	set_pev(ent,pev_movetype,MOVETYPE_FLY)
	
	entity_set_int(ent, EV_INT_sequence, 1)
	entity_set_float(ent, EV_FL_animtime, get_gametime())
	entity_set_float(ent, EV_FL_framerate,  1.0)
	entity_set_float(ent, EV_FL_frame, 0.0)
	
	new Float:fOrigin[3]
	IVecFVec(origin, fOrigin)
	set_pev(ent, pev_origin, fOrigin)
}

/**===========================================================================================
	Событие удаления
==============================================================================================*/
public deleteItem(id)
{
	new ent, a_body
	get_user_aiming(id, ent, a_body)
	if (!pev_valid(ent))
		return PLUGIN_CONTINUE
	
	new class[32]
	pev(ent, pev_classname, class, 31)
	if (!equal(class, class_name))
		return PLUGIN_CONTINUE
	
	set_pev(ent, pev_flags, FL_KILLME)
	return PLUGIN_CONTINUE
}

/**===========================================================================================
	Событие сохранения
==============================================================================================*/
public saveAll()
{
	delete_file(mapfile)
	
	new ent = FM_NULLENT
	static string_class[] = "classname"
	
	new origin[3], Float:fOrigin[3], line[64]
	
	while ((ent = engfunc(EngFunc_FindEntityByString, ent, string_class, class_name))) 
	{
		pev(ent, pev_origin, fOrigin)
		
		FVecIVec(fOrigin, origin)
		
		formatex(line, 63, "%d %d %d", origin[0], origin[1], origin[2])
		write_file(mapfile, line)
	}
}

/**===========================================================================================
	Эффект Screen_Fade на экране
==============================================================================================*/
public Screen_Fade(id)
{
	message_begin(MSG_ONE, get_user_msgid("ScreenFade"), {0,0,0}, id)
	write_short(1<<12)
	write_short(1<<10)
	write_short(0x0000)
	write_byte(255)			
	write_byte(140)		
	write_byte(0)		
	write_byte(200)	
	message_end()
}

/**===========================================================================================
	Строки цветного чата
==============================================================================================*/
stock ChatColor(const id, const input[], any:...)
{
	new count = 1, players[32]
	static msg[191]
	vformat(msg, 190, input, 3)
	
	replace_all(msg, 190, "!g", "^4") // Зеленый цвет
	replace_all(msg, 190, "!y", "^1") // По умолчанию
	replace_all(msg, 190, "!team", "^3") // Цвет команды
	replace_all(msg, 190, "!team2", "^0") // Цвет команды2
	
	if (id) players[0] = id; else get_players(players, count, "ch")
	{
		for (new i = 0; i < count; i++)
		{
			if (is_user_connected(players[i]))
			{
				message_begin(MSG_ONE_UNRELIABLE, get_user_msgid("SayText"), _, players[i])
				write_byte(players[i]);
				write_string(msg);
				message_end();
			}
		}
	}
}